Issue #10275 has been updated by Hiroshi SHIBATA.

Status changed from Open to Closed
Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED

----------------------------------------
Bug #10275: Issues when trying to complile ruby 2.1.3
https://bugs.ruby-lang.org/issues/10275#change-50934

* Author: Alex Kiagiri
* Status: Closed
* Priority: Normal
* Assignee: cruby-mac
* Category: build
* Target version: 
* ruby -v: ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-darwin11.0]
* Backport: 2.0.0: DONTNEED, 2.1: DONTNEED
----------------------------------------
I encountered an issues where I was using RVM to install ruby 2.1.3 and it kept hanging at the compilation stage. 
I thought this was due to a compiler issues and set the CC flag to gcc and retried the install: it still failed and the compilation crashed. See commands trail and attached make log.

~~~
trinitys@62: ~ $ CC=/usr/bin/gcc rvm install ruby 2.1.3
ruby-2.1.3 - #removing src/ruby-2.1.3..
Searching for binary rubies, this might take some time.
No binary rubies available for: osx/10.7/i386/ruby-2.1.3.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for osx.
Certificates in '/usr/local/etc/openssl/cert.pem' are already up to date.
Requirements installation successful.
Warning: found user selected compiler '/usr/bin/gcc', this will suppress RVM auto detection mechanisms.
Installing Ruby from source to: /Users/trinitys/.rvm/rubies/ruby-2.1.3, this may take a while depending on your cpu(s)...
ruby-2.1.3 - #downloading ruby-2.1.3, this may take a while depending on your connection...
ruby-2.1.3 - #extracting ruby-2.1.3 to /Users/trinitys/.rvm/src/ruby-2.1.3....
ruby-2.1.3 - #configuring.....................................................
ruby-2.1.3 - #post-configuration.
ruby-2.1.3 - #compiling.............
Error running '__rvm_make -j 1',
showing last 15 lines of /Users/trinitys/.rvm/log/1411284086_ruby-2.1.3/make.log

* Loaded script: ./miniruby

* Loaded features:

    0 enumerator.so

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
Don't forget to include the above Crash Report log file.
For details: http://www.ruby-lang.org/bugreport.html

make: *** [.rbconfig.time] Abort trap: 6
++ return 2
There has been an error while running make. Halting the installation.

---Files--------------------------------
make.log (5.83 KB)


-- 
https://bugs.ruby-lang.org/